// Kubejs scripts for thermal related stuff

ServerEvents.recipes(event => {

// No thermal ext stuff rn
event.remove({ output: 'thermal_extra:soul_infused_ingot', type: 'thermal:smelter' })
event.remove({ output: 'thermal_extra:shellite_ingot', type: 'thermal:smelter' })
event.remove({ output: 'thermal_extra:twinite_ingot', type: 'thermal:smelter' })
event.remove({ output: 'thermal_extra:dragonsteel_ingot', type: 'thermal:smelter' })
event.remove({ output: 'thermal_extra:abyssal_ingot', type: 'thermal:smelter' })

// Gear press mold uses invar gear instead of diamond
event.replaceInput(
  { input: 'thermal:diamond_gear' },
  'thermal:diamond_gear',
  'thermal:electrum_gear'
)

// Missing diamond gear recipe
event.recipes.thermal.press('thermal:diamond_gear', ['4x minecraft:diamond', 'thermal:press_gear_die'])
event.recipes.thermal.press('thermal:lapis_gear', ['4x minecraft:lapis_lazuli', 'thermal:press_gear_die'])

// Missing pulv recipe for coal dust
event.recipes.thermal.pulverizer('enderio:powdered_coal', 'minecraft:coal').energy(2000)

// Missing steel plate press recipe
event.recipes.thermal.press('immersiveengineering:plate_steel', ['#forge:ingots/steel']).energy(2400)

// Coal coke crushing
event.recipes.thermal.pulverizer('immersiveengineering:dust_coke', '#forge:coal_coke').energy(5600)

// Phyto recipes for magebloom and sourceberry
event.custom({
  "type": "thermal:insolator",
  "ingredient": {
    "item": "ars_nouveau:sourceberry_bush"
  },
  "result": [
    {
      "item": "ars_nouveau:sourceberry_bush",
      "chance": 2.5
    }
  ],
  "experience": 0.15
})

event.custom({
  "type": "thermal:insolator",
  "ingredient": {
    "item": "ars_nouveau:magebloom"
  },
  "result": [
    {
      "item": "ars_nouveau:magebloom",
      "chance": 2.5
    }
  ],
  "experience": 0.15
})

})